'use strict';

// commands from v4 docs - http://v4.webdriver.io/api.html
module.exports = {
    // "Action" commands
    addValue: require('./action/addValue'),
    clearElement: require('./action/clearElement'),
    click: require('./action/click'),
    doubleClick: require('./action/doubleClick'),
    dragAndDrop: require('./action/dragAndDrop'),
    leftClick: require('./action/leftClick'),
    middleClick: require('./action/middleClick'),
    moveToObject: require('./action/moveToObject'),
    rightClick: require('./action/rightClick'),
    selectByAttribute: require('./action/selectByAttribute'),
    selectByIndex: require('./action/selectByIndex'),
    selectByValue: require('./action/selectByValue'),
    selectByVisibleText: require('./action/selectByVisibleText'),
    selectorExecute: require('./action/selectorExecute'),
    selectorExecuteAsync: require('./action/selectorExecuteAsync'),
    setValue: require('./action/setValue'),
    submitForm: require('./action/submitForm'),

    // "Cookie" commands
    deleteCookie: require('./cookie/deleteCookie'),
    getCookie: require('./cookie/getCookie'),
    setCookie: require('./cookie/setCookie'),

    // "Mobile" commands
    context: require('./mobile/context'),
    contexts: require('./mobile/contexts'),
    currentActivity: require('./mobile/currentActivity'),
    deviceKeyEvent: require('./mobile/deviceKeyEvent'),
    getAppStrings: require('./mobile/getAppStrings'),
    getCurrentDeviceActivity: require('./mobile/getCurrentDeviceActivity'),
    hideDeviceKeyboard: require('./mobile/hideDeviceKeyboard'),
    hold: require('./mobile/hold'),
    launch: require('./mobile/launch'),
    longPressKeycode: require('./mobile/longPressKeycode'),
    performMultiAction: require('./mobile/performMultiAction'),
    performTouchAction: require('./mobile/performTouchAction'),
    pressKeycode: require('./mobile/pressKeycode'),
    release: require('./mobile/release'),
    rotate: require('./mobile/rotate'),
    setImmediateValue: require('./mobile/setImmediateValue'),
    settings: require('./mobile/settings'),
    strings: require('./mobile/strings'),
    swipe: require('./mobile/swipe'),
    swipeDown: require('./mobile/swipeDown'),
    swipeUp: require('./mobile/swipeUp'),
    swipeLeft: require('./mobile/swipeLeft'),
    swipeRight: require('./mobile/swipeRight'),
    toggleTouchIdEnrollment: require('./mobile/toggleTouchIdEnrollment'),
    touch: require('./mobile/touch'),
    touchAction: require('./mobile/touchAction'),
    touchMultiPerform: require('./mobile/touchMultiPerform'),

    // "Property" commands
    getAttribute: require('./property/getAttribute'),
    getCssProperty: require('./property/getCssProperty'),
    getElementSize: require('./property/getElementSize'),
    getHTML: require('./property/getHTML'),
    getLocation: require('./property/getLocation'),
    getLocationInView: require('./property/getLocationInView'),
    getSource: require('./property/getSource'),
    getTagName: require('./property/getTagName'),
    getText: require('./property/getText'),
    getValue: require('./property/getValue'),

    // "Protocol" commands
    actions: require('./protocol/actions'),
    alertAccept: require('./protocol/alertAccept'),
    alertDismiss: require('./protocol/alertDismiss'),
    alertText: require('./protocol/alertText'),
    applicationCacheStatus: require('./protocol/applicationCacheStatus'),
    buttonDown: require('./protocol/buttonDown'),
    buttonPress: require('./protocol/buttonPress'),
    buttonUp: require('./protocol/buttonUp'),
    cookie: require('./protocol/cookie'),
    doDoubleClick: require('./protocol/doDoubleClick'),
    element: require('./protocol/element'),
    elementActive: require('./protocol/elementActive'),
    elementIdAttribute: require('./protocol/elementIdAttribute'),
    elementIdClear: require('./protocol/elementIdClear'),
    elementIdClick: require('./protocol/elementIdClick'),
    elementIdCssProperty: require('./protocol/elementIdCssProperty'),
    elementIdDisplayed: require('./protocol/elementIdDisplayed'),
    elementIdElement: require('./protocol/elementIdElement'),
    elementIdElements: require('./protocol/elementIdElements'),
    elementIdEnabled: require('./protocol/elementIdEnabled'),
    elementIdLocation: require('./protocol/elementIdLocation'),
    elementIdLocationInView: require('./protocol/elementIdLocationInView'),
    elementIdName: require('./protocol/elementIdName'),
    elementIdProperty: require('./protocol/elementIdProperty'),
    elementIdRect: require('./protocol/elementIdRect'),
    elementIdScreenshot: require('./protocol/elementIdScreenshot'),
    elementIdSelected: require('./protocol/elementIdSelected'),
    elementIdSize: require('./protocol/elementIdSize'),
    elementIdText: require('./protocol/elementIdText'),
    elementIdValue: require('./protocol/elementIdValue'),
    elements: require('./protocol/elements'),
    frame: require('./protocol/frame'),
    frameParent: require('./protocol/frameParent'),
    imeActivate: require('./protocol/imeActivate'),
    imeActivated: require('./protocol/imeActivated'),
    imeActiveEngine: require('./protocol/imeActiveEngine'),
    imeAvailableEngines: require('./protocol/imeAvailableEngines'),
    imeDeactivated: require('./protocol/imeDeactivated'),
    init: require('./protocol/init'),
    localStorage: require('./protocol/localStorage'),
    localStorageSize: require('./protocol/localStorageSize'),
    location: require('./protocol/location'),
    log: require('./protocol/log'),
    logTypes: require('./protocol/logTypes'),
    moveTo: require('./protocol/moveTo'),
    screenshot: require('./protocol/screenshot'),
    session: require('./protocol/session'),
    sessionStorage: require('./protocol/sessionStorage'),
    sessionStorageSize: require('./protocol/sessionStorageSize'),
    sessions: require('./protocol/sessions'),
    source: require('./protocol/source'),
    submit: require('./protocol/submit'),
    timeouts: require('./protocol/timeouts'),
    timeoutsAsyncScript: require('./protocol/timeoutsAsyncScript'),
    timeoutsImplicitWait: require('./protocol/timeoutsImplicitWait'),
    title: require('./protocol/title'),
    touchFlick: require('./protocol/touchFlick'),
    touchScroll: require('./protocol/touchScroll'),
    window: require('./protocol/window'),
    windowHandle: require('./protocol/windowHandle'),
    windowHandleFullscreen: require('./protocol/windowHandleFullscreen'),
    windowHandleMaximize: require('./protocol/windowHandleMaximize'),
    windowHandlePosition: require('./protocol/windowHandlePosition'),
    windowHandleSize: require('./protocol/windowHandleSize'),
    windowHandles: require('./protocol/windowHandles'),

    // "State" commands
    hasFocus: require('./state/hasFocus'),
    isEnabled: require('./state/isEnabled'),
    isExisting: require('./state/isExisting'),
    isSelected: require('./state/isSelected'),
    isVisible: require('./state/isVisible'),
    isVisibleWithinViewport: require('./state/isVisibleWithinViewport'),

    // "Utility" commands
    addCommand: require('./utility/addCommand'),
    chooseFile: require('./utility/chooseFile'),
    end: require('./utility/end'),
    endAll: require('./utility/endAll'),
    getCommandHistory: require('./utility/getCommandHistory'),
    reload: require('./utility/reload'),
    saveScreenshot: require('./utility/saveScreenshot'),
    scroll: require('./utility/scroll'),
    waitForEnabled: require('./utility/waitForEnabled'),
    waitForExist: require('./utility/waitForExist'),
    waitForSelected: require('./utility/waitForSelected'),
    waitForText: require('./utility/waitForText'),
    waitForValue: require('./utility/waitForValue'),
    waitForVisible: require('./utility/waitForVisible'),
    waitUntil: require('./utility/waitUntil'),

    // "Window" commands
    close: require('./window/close'),
    getCurrentTabId: require('./window/getCurrentTabId'),
    getTabIds: require('./window/getTabIds'),
    getViewportSize: require('./window/getViewportSize'),
    newWindow: require('./window/newWindow'),
    setViewportSize: require('./window/setViewportSize'),
    switchTab: require('./window/switchTab')
};
